---
title: RTCIceCandidatePairStats.writable
slug: Web/API/RTCIceCandidatePairStats/writable
tags:
  - API
  - Candidate
  - ICE
  - Obsolete
  - Property
  - RTCIceCandidatePairStats
  - Reference
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - writable
---
<p>{{APIRef("WebRTC")}}{{obsolete_header}}</p>

<p><span class="seoSummary">The <em>obsolete</em> {{domxref("RTCIceCandidatePairStats")}} property <strong><code>writable</code></strong> reports whether or not the connection described by the candidate pair is writable.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>isWritable</em> = <em>rtcIceCandidatePairStats</em>.writable;</pre>

<h3 id="Value">Value</h3>

<p>A Boolean value which is <code>true</code> if the connection described by this candidate pair has received acknowledgement of receipt (ACK) for at least one ICE request <em>and</em> that {{Glossary("STUN")}} consent hasn't expired.</p>

<div class="note">
<p><strong>Note:</strong> This property was removed from the specification in early 2017 because you can determine whether or not an incoming ICE request is available to read by checking to see if {{domxref("RTCIceCandidatePairStats.responsesReceived", "responsesReceived")}} is greater than 0 and that the time specified by {{domxref("RTCIceCandidatePairStats.consentExpiredTimestamp", "consentExpiredTimestamp")}} has not passed:</p>

<pre class="brush: js">if (icpStats.responsesReceived &gt; 0
    &amp;&amp; icpStats.consentExpiredTimestamp &lt; performance.now()) {
  /* at least one ICE response has been received */
}</pre>
</div>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidatePairStats.writable")}}</p>
